Antom, leading provider of tailored payment solutions

inquireCardTransactionLifecycleDetail

POST /v1/aba/cards/inquireCardTransactionLifecycleDetail

This API is used to retrieve a single card transaction by its unique lifecycleId, returning a composite response that includes the information returned by both the inquireCardTransactionLifecycle and inquireCardTransactionEvent APIs.

Request parameters

lifecycleId String  REQUIRED

The spend-group ID to retrieve. This parameter can be obtained through the inquireCardTransactionLifecycle API.

More information:

  • Maximum length: 64 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

lifecycle Array<CardTransactionLifecycle>  

Spend aggregates.

Notes:

  • This parameter is returned when the value of resultStatus is Sand a matching lifecycle exists.
  • Omit this parameter if no lifecycle matches the supplied lifecycleId, or when the value of resultStatus is For U.
Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Failure Reason Code

Code

Value

Message

CARD_BALANCE_NOT_ENOUGH

F

Insufficient account balance.

CARD_OVER_LIMIT

F

Insufficient daily/monthly limit.

CARD_AVS_RESULT

F

AVS verification failed.

CARD_ASSERT_ERROR

F

The card has expired.

CARD_SECURITY_REJECT

F

Risk control rejection.

CARD_INVALID_MERCHANT

F

Invalid merchant.

UNKNOWN_EXCEPTION

F

Unknown reason.

CARD_INVALID_AMOUNT

F

Invalid payment amount.

CARD_INVALID_CARD_NUMBER

F

Invalid card number.

CARD_EXPIRED_CARD

F

Card expired.

CARD_INCORRECT_PIN

F

Incorrect PIN.

CARD_INVALID_TRANSACTION

F

Abnormal transaction.

CARD_EXCEED_WITHDRAW_AMOUNT_LIMIT

F

Withdrawal amount limit exceeded.

CARD_EXCEED_WITHDRAW_FREQUENCY_LIMIT

F

Withdrawal frequency limit exceeded.

CARD_VERIFICATION_FAILED

F

Verification failed.

CARD_EXCEED_PIN_ALLOW_NUMBER

F

Exceeded allowed PIN attempts.

CARD_AUTHENTICATION_REQUIRED

F

Authentication required.

CARD_CVV2_FAILURE

F

CVV2 verification failed.

CARD_INVALID_CARD

F

Invalid card.

CARD_STATUS_FROZEN

F

Card is frozen.

BALANCE_ACCOUNT_NOT_AVAILABLE

F

Account status abnormal.

SYSTEM_ERROR

F

System error.

Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request parameters, including the header parameters and body parameters, are correct and valid. For details on the parameters of each API, see the specific API Structure section.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact our Technical Support Team to address it.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

PROCESS_FAILFA general business failure occurred.

Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.